Bug 373111 - Crash During Start Up After Login
Summary: Crash During Start Up After Login
Status: RESOLVED DUPLICATE of bug 372824
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2016-11-30 13:16 UTC by bj.kdedebug
Modified: 2017-01-06 22:00 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bj.kdedebug 2016-11-30 13:16:30 UTC
Application: plasmashell (5.8.4)

Qt Version: 5.7.0
Frameworks Version: 5.28.0
Operating System: Linux 4.8.10-1-default x86_64
Distribution: "openSUSE Tumbleweed"

-- Information about the crash:
- What I was doing when the application crashed:

Crash reported pretty much every time during whatever happens between logging in until desktop appears.

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma (plasmashell), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f308c2be8c0 (LWP 1952))]

Thread 10 (Thread 0x7f2fa1fd8700 (LWP 2405)):
#0  0x00007f308595d68d in poll () from /lib64/libc.so.6
#1  0x00007f30809f9876 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f30809f998c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f308627c79b in QEventDispatcherGlib::processEvents (this=0x7f2f9c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f30862261ea in QEventLoop::exec (this=this@entry=0x7f2fa1fd7cc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#5  0x00007f30860548b3 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#6  0x00007f2fac554df7 in KCupsConnection::run() () from /usr/lib64/libkcupslib.so
#7  0x00007f3086059558 in QThreadPrivate::start (arg=0x3f803d0) at thread/qthread_unix.cpp:344
#8  0x00007f308515f454 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f308596639f in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f2fb48e0700 (LWP 2330)):
#0  0x00007f308595d68d in poll () from /lib64/libc.so.6
#1  0x00007f30809f9876 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f30809f998c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f308627c79b in QEventDispatcherGlib::processEvents (this=0x7f2fa80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f30862261ea in QEventLoop::exec (this=this@entry=0x7f2fb48dfd00, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#5  0x00007f30860548b3 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#6  0x00007f3086059558 in QThreadPrivate::start (arg=0x36d1c50) at thread/qthread_unix.cpp:344
#7  0x00007f308515f454 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f308596639f in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f2fb50e1700 (LWP 2328)):
#0  0x00007f3080a3eec2 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f30809f8d6c in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f30809f979b in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f30809f998c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f308627c79b in QEventDispatcherGlib::processEvents (this=0x7f2fb00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f30862261ea in QEventLoop::exec (this=this@entry=0x7f2fb50e0d00, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#6  0x00007f30860548b3 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f3086059558 in QThreadPrivate::start (arg=0x36d7830) at thread/qthread_unix.cpp:344
#8  0x00007f308515f454 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f308596639f in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f2fcc855700 (LWP 2087)):
#0  0x00007ffdaf905949 in ?? ()
#1  0x00007ffdaf905bd9 in clock_gettime ()
#2  0x00007f3085973246 in clock_gettime () from /lib64/libc.so.6
#3  0x00007f30860fe6e1 in qt_clock_gettime (ts=0x7f2fcc8549f0, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:109
#4  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:164
#5  qt_gettime () at tools/qelapsedtimer_unix.cpp:173
#6  0x00007f308627a419 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f2fc8002ed0) at kernel/qtimerinfo_unix.cpp:91
#7  0x00007f308627a9c5 in QTimerInfoList::timerWait (this=0x7f2fc8002ed0, tm=...) at kernel/qtimerinfo_unix.cpp:388
#8  0x00007f308627bd6e in timerSourcePrepareHelper (timeout=0x7f2fcc854ac4, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:132
#9  timerSourcePrepare (source=<optimized out>, timeout=0x7f2fcc854ac4) at kernel/qeventdispatcher_glib.cpp:165
#10 0x00007f30809f8d79 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f30809f979b in ?? () from /usr/lib64/libglib-2.0.so.0
#12 0x00007f30809f998c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#13 0x00007f308627c79b in QEventDispatcherGlib::processEvents (this=0x7f2fc80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#14 0x00007f30862261ea in QEventLoop::exec (this=this@entry=0x7f2fcc854c90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#15 0x00007f30860548b3 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#16 0x00007f3089f13646 in ?? () from /usr/lib64/libQt5Quick.so.5
#17 0x00007f3086059558 in QThreadPrivate::start (arg=0x294ef30) at thread/qthread_unix.cpp:344
#18 0x00007f308515f454 in start_thread () from /lib64/libpthread.so.0
#19 0x00007f308596639f in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f2fd5b45700 (LWP 2074)):
#0  0x00007f308516510f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f30609ad53b in ?? () from /usr/lib64/dri/r600_dri.so
#2  0x00007f30609ad397 in ?? () from /usr/lib64/dri/r600_dri.so
#3  0x00007f308515f454 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f308596639f in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f3062226700 (LWP 2073)):
#0  0x00007f308516510f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f308b997834 in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007f308b997879 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007f308515f454 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f308596639f in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f3063fff700 (LWP 2060)):
#0  0x00007f30859596fd in read () from /lib64/libc.so.6
#1  0x00007f3080a3db00 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f30809f9325 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f30809f9814 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f30809f998c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f308627c79b in QEventDispatcherGlib::processEvents (this=0x7f305c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f30862261ea in QEventLoop::exec (this=this@entry=0x7f3063ffece0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#7  0x00007f30860548b3 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#8  0x00007f3089385a75 in ?? () from /usr/lib64/libQt5Qml.so.5
#9  0x00007f3086059558 in QThreadPrivate::start (arg=0x24b75e0) at thread/qthread_unix.cpp:344
#10 0x00007f308515f454 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f308596639f in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f306999f700 (LWP 2045)):
#0  0x00007f308595d68d in poll () from /lib64/libc.so.6
#1  0x00007f30809f9876 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f30809f998c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f308627c79b in QEventDispatcherGlib::processEvents (this=0x7f30640008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f30862261ea in QEventLoop::exec (this=this@entry=0x7f306999ece0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#5  0x00007f30860548b3 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#6  0x00007f3089385a75 in ?? () from /usr/lib64/libQt5Qml.so.5
#7  0x00007f3086059558 in QThreadPrivate::start (arg=0x2387360) at thread/qthread_unix.cpp:344
#8  0x00007f308515f454 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f308596639f in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f3079265700 (LWP 1957)):
#0  0x00007f308595d68d in poll () from /lib64/libc.so.6
#1  0x00007f30809f9876 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f30809f998c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f308627c79b in QEventDispatcherGlib::processEvents (this=0x7f30740008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f30862261ea in QEventLoop::exec (this=this@entry=0x7f3079264cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#5  0x00007f30860548b3 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#6  0x00007f308668e3e5 in ?? () from /usr/lib64/libQt5DBus.so.5
#7  0x00007f3086059558 in QThreadPrivate::start (arg=0x7f30868ffd20) at thread/qthread_unix.cpp:344
#8  0x00007f308515f454 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f308596639f in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f308c2be8c0 (LWP 1952)):
[KCrash Handler]
#6  0x00007f30858b15af in raise () from /lib64/libc.so.6
#7  0x00007f30858b29aa in abort () from /lib64/libc.so.6
#8  0x00007f3085cb467d in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib64/libstdc++.so.6
#9  0x00007f3085cb2656 in ?? () from /usr/lib64/libstdc++.so.6
#10 0x00007f3085cb26a1 in std::terminate() () from /usr/lib64/libstdc++.so.6
#11 0x00007f3085cb28b8 in __cxa_throw () from /usr/lib64/libstdc++.so.6
#12 0x00007f2fc1bf600c in Akonadi::Item::throwPayloadException (this=this@entry=0x3af71b8, spid=spid@entry=2, mtid=mtid@entry=2060) at /usr/src/debug/akonadi-16.08.3/src/core/item.cpp:653
#13 0x00007f2fc2885e54 in Akonadi::Item::payloadImpl<QSharedPointer<KCalCore::Incidence> > (this=this@entry=0x3af71b8) at /usr/include/KF5/AkonadiCore/item.h:849
#14 0x00007f2fc28831e4 in Akonadi::Item::payload<QSharedPointer<KCalCore::Incidence> > (this=0x3af71b8) at /usr/include/KF5/AkonadiCore/item.h:818
#15 EventModel::<lambda(const Akonadi::Item&)>::operator() (item=..., __closure=0x35009d0) at /usr/src/debug/kdepim-addons-16.08.3/plugins/plasma/pimeventsplugin/eventmodel.cpp:65
#16 QtPrivate::FunctorCall<QtPrivate::IndexesList<0>, QtPrivate::List<const Akonadi::Item&>, void, EventModel::createMonitor()::<lambda(const Akonadi::Item&)> >::call (arg=<optimized out>, f=...) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:501
#17 QtPrivate::Functor<EventModel::createMonitor()::<lambda(const Akonadi::Item&)>, 1>::call<QtPrivate::List<Akonadi::Item const&>, void> (arg=<optimized out>, f=...) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:558
#18 QtPrivate::QFunctorSlotObject<EventModel::createMonitor()::<lambda(const Akonadi::Item&)>, 1, QtPrivate::List<const Akonadi::Item&>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) (which=<optimized out>, this_=0x35009c0, r=<optimized out>, a=<optimized out>, ret=<optimized out>) at /usr/include/qt5/QtCore/qobject_impl.h:198
#19 0x00007f308625421e in QtPrivate::QSlotObjectBase::call (a=0x7ffdaf8a9040, r=0x2ef12f0, this=<optimized out>) at ../../src/corelib/kernel/qobject_impl.h:130
#20 QMetaObject::activate (sender=0x36ad4b0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffdaf8a9040) at kernel/qobject.cpp:3723
#21 0x00007f30862547c7 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f2fc1f5cb60 <Akonadi::Monitor::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffdaf8a9040) at kernel/qobject.cpp:3602
#22 0x00007f2fc1c09a37 in Akonadi::Monitor::itemChanged (this=<optimized out>, _t1=..., _t2=...) at /usr/src/debug/akonadi-16.08.3/build/src/core/moc_monitor.cpp:828
#23 0x00007f2fc1c16766 in Akonadi::MonitorPrivate::emitItemsNotification (this=this@entry=0x36ad7d0, msg_=..., items=..., collection=..., collectionDest=...) at /usr/src/debug/akonadi-16.08.3/src/core/monitor_p.cpp:956
#24 0x00007f2fc1c16f43 in Akonadi::MonitorPrivate::emitNotification (this=0x36ad7d0, msg=...) at /usr/src/debug/akonadi-16.08.3/src/core/monitor_p.cpp:587
#25 0x00007f2fc1c1443a in Akonadi::MonitorPrivate::flushPipeline (this=this@entry=0x36ad7d0) at /usr/src/debug/akonadi-16.08.3/src/core/monitor_p.cpp:809
#26 0x00007f2fc1c14b29 in Akonadi::MonitorPrivate::dataAvailable (this=0x36ad7d0) at /usr/src/debug/akonadi-16.08.3/src/core/monitor_p.cpp:818
#27 0x00007f3086253ea9 in QMetaObject::activate (sender=sender@entry=0x36d7520, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3740
#28 0x00007f30862547c7 in QMetaObject::activate (sender=sender@entry=0x36d7520, m=m@entry=0x7f2fc1f5c400 <Akonadi::EntityCacheBase::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3602
#29 0x00007f2fc1bec650 in Akonadi::EntityCacheBase::dataAvailable (this=this@entry=0x36d7520) at /usr/src/debug/akonadi-16.08.3/build/src/core/moc_entitycache_p.cpp:146
#30 0x00007f2fc1bbbed2 in Akonadi::EntityListCache<Akonadi::Item, Akonadi::ItemFetchJob, Akonadi::ItemFetchScope>::processResult (this=<optimized out>, job=<optimized out>) at /usr/src/debug/akonadi-16.08.3/src/core/entitycache_p.h:499
#31 0x00007f2fc1bec684 in Akonadi::EntityCacheBase::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/akonadi-16.08.3/build/src/core/moc_entitycache_p.cpp:80
#32 0x00007f3086253ea9 in QMetaObject::activate (sender=sender@entry=0x41cd820, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffdaf8a97d0) at kernel/qobject.cpp:3740
#33 0x00007f30862547c7 in QMetaObject::activate (sender=sender@entry=0x41cd820, m=m@entry=0x7f3088515500 <KJob::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffdaf8a97d0) at kernel/qobject.cpp:3602
#34 0x00007f30882c2052 in KJob::result (this=this@entry=0x41cd820, _t1=<optimized out>, _t1@entry=0x41cd820) at /usr/src/debug/kcoreaddons-5.28.0/build/src/lib/moc_kjob.cpp:568
#35 0x00007f30882c3991 in KJob::finishJob (this=0x41cd820, emitResult=emitResult@entry=true) at /usr/src/debug/kcoreaddons-5.28.0/src/lib/jobs/kjob.cpp:109
#36 0x00007f30882c593a in KJob::emitResult (this=<optimized out>) at /usr/src/debug/kcoreaddons-5.28.0/src/lib/jobs/kjob.cpp:293
#37 0x00007f2fc1c80bc9 in Akonadi::JobPrivate::delayedEmitResult (this=<optimized out>) at /usr/src/debug/akonadi-16.08.3/src/core/jobs/job.cpp:175
#38 0x00007f2fc1c81969 in Akonadi::Job::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/akonadi-16.08.3/build/src/core/moc_job.cpp:108
#39 0x00007f3086254d59 in QObject::event (this=0x41cd820, e=<optimized out>) at kernel/qobject.cpp:1263
#40 0x00007f30871aa92c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x41cd820, e=0x299f790) at kernel/qapplication.cpp:3799
#41 0x00007f30871b20e1 in QApplication::notify (this=0x7ffdaf8a9f10, receiver=0x41cd820, e=0x299f790) at kernel/qapplication.cpp:3556
#42 0x00007f3086228200 in QCoreApplication::notifyInternal2 (receiver=0x41cd820, event=event@entry=0x299f790) at kernel/qcoreapplication.cpp:988
#43 0x00007f308622a98d in QCoreApplication::sendEvent (event=0x299f790, receiver=<optimized out>) at kernel/qcoreapplication.h:231
#44 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x2353e90) at kernel/qcoreapplication.cpp:1649
#45 0x00007f308622adf8 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1503
#46 0x00007f308627c373 in postEventSourceDispatch (s=0x23b5e10) at kernel/qeventdispatcher_glib.cpp:276
#47 0x00007f30809f9677 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#48 0x00007f30809f98e0 in ?? () from /usr/lib64/libglib-2.0.so.0
#49 0x00007f30809f998c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#50 0x00007f308627c77f in QEventDispatcherGlib::processEvents (this=0x23c8310, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#51 0x00007f30862261ea in QEventLoop::exec (this=this@entry=0x7ffdaf8a9da0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:210
#52 0x00007f308622e95c in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1261
#53 0x000000000041ea42 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/plasma-workspace-5.8.4/shell/main.cpp:166

Reported using DrKonqi
Comment 1 bj.kdedebug 2016-12-01 00:19:13 UTC
Forgot to note it only seems to happen during first login after booting machine. If I log out and back in, it does *not* seem to happen again.
Comment 2 herbert.wiesenhofer 2016-12-01 06:49:38 UTC
I can confirm this bug.
Observe same behaviour. I am using Arch Linux
Comment 3 Kai Uwe Broulik 2016-12-05 09:11:45 UTC
Crashes in Akonadi, re-assigning
Comment 4 Sebastian Kuhne 2016-12-07 06:28:24 UTC
I can confirm the same issue. To my knowledge this is new with 5.8.4.

Application: plasmashell (5.8.4)
Qt Version: 5.7.0
Frameworks Version: 5.28.0
Operating System: Linux 4.8.10-1-default x86_64
Distribution: "openSUSE Tumbleweed"
Comment 5 bj.kdedebug 2016-12-14 04:45:57 UTC
Re my earlier comment that it only happens on the first login after booting the machine: I've now had a few occasions where it also happened after logging out and back in.  Being Tumbleweed, I've also had some updates since first reporting this, in case that needs to be considered.
Comment 6 Sebastian Kuhne 2016-12-15 06:23:08 UTC
I am fully updated with Tumbleweed, and the issue is still persistent. It is hard to reproduce the issue but I am quite sure it is related to Akonadi. If I send an email via Kontact/IMAP/googlemail the Shell crashes.

The only workaround I found after the crash is to stop the shell via 'killall plasmashell' and to restart with 'kstart plasmashell'. That is working but is of course not nice to handle.
Comment 7 Sebastian Kuhne 2016-12-21 13:13:01 UTC
It seems that KDE Applications 16.12 stabilize the system. I have not recognized any further plasmashell crashes after the update. It would be great if someone else could confirm that the issue is vanished, then we should close this bug thread.
Comment 8 bj.kdedebug 2016-12-22 06:22:15 UTC
The issue also seems resolved for me with the latest round of Tumbleweed updates.
Comment 9 Daniel Vrátil 2017-01-06 22:00:06 UTC
This has been fixed in KDE Applications 16.12 release.

*** This bug has been marked as a duplicate of bug 372824 ***